#!/usr/bin/perl

require './lib.pl';

system("apt-get -y --no-install-recommends install lxde xinit feh xserver-xorg xfonts-base xfonts-scalable galculator alsa-base alsa-utils alsamixergui dbus-x11 language-pack-ja fonts-takao-mincho fonts-vlgothic scim-anthy scim-gtk2-immodule im-switch x11-xserver-utils hicolor-icon-theme unzip udisks gvfs-fuse policykit-1 roxterm lxpolkit firefox | tee instlog_xorg.txt");

sleep 10;

# get permission to access video and audio
open(INPUT, "who -us |");
@result = <INPUT>;
close INPUT;

if ($result[0] =~ /(^[^\s]+)/)
{
  $user = $1;
}

if (&isusername($user))
{
  system("usermod -aG video $user");
  system("usermod -aG audio $user");
  system("usermod -aG fuse $user");
}
else
{
  print "usermod error!\n";
}

# Don't autostart pcmanfm(remove "@pcmanfm -d")
$filename = "/etc/xdg/lxsession/LXDE/autostart";
@textin = ();
@textout = ();
if (&loadfile($filename, *textin))
{
  &savebak($filename, *textin);

  foreach $line (@textin)
  {
    if (($line !~ /pcmanfm/) && ($line !~ /feh /) && ($line !~ /lxpolkit/))
    {
      push(@textout, $line);
    }
  }

  # set wallpaper
  push(@textout, "\n\@feh --bg-fill /usr/share/lxde/wallpapers/lxde_blue.jpg\n");

  # lxpolkit
  push(@textout, "\@lxpolkit\n");

  &savefile($filename, *textout);
}

exit;
